# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::ClassInfo Struct Reference

Class Information. More...

`#include <object.h>`

Collaboration diagram for KJS::ClassInfo:

[legend]
List of all members.

## Public Attributes

const char * | className
| A string denoting the class name.
const ClassInfo * | parentClass
| Pointer to the class information of the base class.
const HashTable * | propHashTable
| Static hash-table of properties.
void * | dummy
| Reserved for future extension.

## Detailed Description

Class Information.

Definition at line 53 of file object.h.

## Member Data Documentation

const char* KJS::ClassInfo::className

| A string denoting the class name. Example: "Window". Definition at line 57 of file object.h.

const ClassInfo* KJS::ClassInfo::parentClass

| Pointer to the class information of the base class. 0L if there is none. Definition at line 62 of file object.h.

const HashTable* KJS::ClassInfo::propHashTable

| Static hash-table of properties. Definition at line 66 of file object.h.

void* KJS::ClassInfo::dummy

| Reserved for future extension. Definition at line 70 of file object.h.

The documentation for this struct was generated from the following file:

- object.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:08 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001